Subject: Re: [TEST] bond_macvlan_ipvlan.sh flakiness

From: Hangbin Liu <[email-masked]>
Date: Thu, 27 Nov 2025 02:04:33 +0000

On Wed, Nov 26, 2025 at 05:41:44PM -0800, Jakub Kicinski wrote:
> On Thu, 27 Nov 2025 01:18:30 +0000 Hangbin Liu wrote:
> > On Thu, Nov 27, 2025 at 01:15:00AM +0000, Hangbin Liu wrote:
> > > > Hi Hangbin!
> > > > 
> > > > The 0.25 sec sleep was added locally 1 week ago and 0 flakes since.
> > > > Would you mind submitting it officially?  
> > > 
> > > Good to hear this. I will submit it.  
> > 
> > Oh, I pressed the send button too fast. I forgot to ask—should we keep it at
> > 0.25s or extend it to 0.5s to avoid flaky tests later?
> 
> I'd stick to 0.25sec since it was solid for a week.
> I don't think the race window is very large, we could even experiment
> with a smaller delay, because debug kernels don't hit the issue. The
> debug kernel can't be >0.1sec slower I reckon.
> 
> IOW I hope 0.25sec already has pretty solid safety margin?
> As I mentioned last week - this is called almost 100 times by the test
> so the longer delays will be quite visible in the test runtime.

Makes sense, the test do loop too many times..

Thanks
Hangbin